# Redacted Software Archive

Yet Another Archival Format :D

The ReArchive project is a lightweight C++ library designed for creating, managing, and extracting archive files. It provides a foundation for bundling multiple files and directories into a single archive, ideal for game assets (mod distribution), application deployments, and many more tasks. Included with the library is `rsarchive`, a command-line application demonstrating ReArchive's capabilities and providing a general-purpose archive management tool.

## Features

* General
  * Custom bespoke archive format.
  * Included CLI archive program.
  * C++20 API for integrating archives into your project.
  * Public Domain Source Code, Format, & Application.
  * **ZERO** dependencies. Just C++ and CMake.
* Library API Features
  * Bundle files together for easier distribution.
  * Integrate easily into your C++ project.
  * Cross-platform: Designed with Redacted Software signature portability, simplicity, and
* Archive Format
  * Custom, stream-friendly archive format.
  * Designed for efficiency and extensibility.
  * Efficient file retrieval even from large archives.
  * Lightning fast. (See Benchmarks.)
* rsarchive Application:
  * Robust command-line utility.
  * Create, Extract, Inspect, Modify, and Validate archive files.
  * Append and remove files individually.
  * Supported on Windows & Linux.
  * Designed to be extended and modified.




## Acknowledgements

